commit 3a5a601c371f476b86e94dbda6e5341dbdd41598
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Jan 12 00:23:12 2025 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index cbd205340e3..71203ea20bc 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250111
+20250112
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index acf773da565..c9661e5cc2d 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,9 @@
+2025-01-11  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/114630
+	* module.cc (trees_in::core_vals) <BLOCK>: Chain a new node if
+	DECL_CHAIN already is set.
+
 2025-01-09  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 1928b05e0b8..f586d8198e0 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,18 @@
+2025-01-11  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	* g++.dg/modules/pr114630_a.C: Use -fmodules-ts instead of
+	-fmodules in testcase.
+	* g++.dg/modules/pr114630_b.C: Likewise.
+	* g++.dg/modules/pr114630_c.C: Likewise.
+
+2025-01-11  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/114630
+	* g++.dg/modules/pr114630.h: New test.
+	* g++.dg/modules/pr114630_a.C: New test.
+	* g++.dg/modules/pr114630_b.C: New test.
+	* g++.dg/modules/pr114630_c.C: New test.
+
 2025-01-10  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

